[SOLVED] ASROCK320M DGS is my bios too old?

Jul 11, 2019
23
1
15
0
Hey guys, quick question. I kinda wonder if my BIOS is too old to operate a certain ram i want to buy. Im scared of actually updating it becouse asrock says its kinda not needed or something...
I use ryzen 5 2600 and i want to buy https://www.corsair.com/eu/en/Categories/Products/Memory/vengeance-lpx-black/p/CMK16GX4M2B3200C16. Can u guys tell if everything is going to be ok and will i need to update my bios? I use p 4.70 version for my board its mentioned in the bios section on the site here: http://asrock.com/MB/AMD/A320M-DGS/index.asp#BIOS
 
Hey guys, quick question. I kinda wonder if my BIOS is too old to operate a certain ram i want to buy. Im scared of actually updating it becouse asrock says its kinda not needed or something...
I use ryzen 5 2600 and i want to buy https://www.corsair.com/eu/en/Categories/Products/Memory/vengeance-lpx-black/p/CMK16GX4M2B3200C16. Can u guys tell if everything is going to be ok and will i need to update my bios? I use p 4.70 version for my board its mentioned in the bios section on the site here: http://asrock.com/MB/AMD/A320M-DGS/index.asp#BIOS
I highly suggest you update to at least BIOS 5.50, otherwise your RAM might not work at the rated speed of 3200MHz
The 5.50 update includes AMD AGESA 1.0.0.6 which officially adds supports for more RAM brands, XMP2, support for RAM faster than 2667MHz, new parameters and overall improves the compatibility and reliability of RAM.
 
Last edited:
Hey guys, quick question. I kinda wonder if my BIOS is too old to operate a certain ram i want to buy. Im scared of actually updating it becouse asrock says its kinda not needed or something...
I use ryzen 5 2600 and i want to buy https://www.corsair.com/eu/en/Categories/Products/Memory/vengeance-lpx-black/p/CMK16GX4M2B3200C16. Can u guys tell if everything is going to be ok and will i need to update my bios? I use p 4.70 version for my board its mentioned in the bios section on the site here: http://asrock.com/MB/AMD/A320M-DGS/index.asp#BIOS
I highly suggest you update to at least BIOS 5.50, otherwise your RAM might not work at the rated speed of 3200MHz
The 5.50 update includes AMD AGESA 1.0.0.6 which officially adds supports for more RAM brands, XMP2, support for RAM faster than 2667MHz, new parameters and overall improves the compatibility and reliability of RAM.
 
Last edited:
Jul 11, 2019
23
1
15
0
I highly suggest you update to at least BIOS 5.50, otherwise your RAM might work at the rated speed of 3200MHz
The 5.50 update includes AMD AGESA 1.0.0.6 which officially adds supports for more RAM brands, XMP2, support for RAM faster than 2667MHz, new parameters and overall improves the compatibility and reliability of RAM.
Thanks for help i will do as said:)
 

ASK THE COMMUNITY

TRENDING THREADS